> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deploy ERC-721 collection

> Deploy a new ERC-721A (series) NFT collection.

<Info>
  ### Related tutorial: [Minting for Farcaster Users](/docs/mint-for-farcaster-users)
</Info>

## Node.js SDK

🔗 **SDK Method:** [deployErc721](/nodejs-sdk/onchain-apis/deployErc721)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml post /v2/farcaster/nft/deploy/erc721/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/nft/deploy/erc721/:
    post:
      tags:
        - Onchain
      summary: Deploy ERC-721 collection
      description: Deploy a new ERC-721A (series) NFT collection.
      operationId: deploy-erc721
      parameters:
        - $ref: '#/components/parameters/WalletIdHeader'
      requestBody:
        content:
          application/json:
            schema:
              properties:
                description:
                  type: string
                external_link:
                  type: string
                image:
                  type: string
                max_supply:
                  default: 0
                  description: Max supply (0 = unlimited)
                  maximum: 281474976710655
                  minimum: 0
                  type: integer
                mint_config:
                  properties:
                    end_timestamp:
                      description: Unix timestamp (defaults to no end date)
                      maximum: 281474976710655
                      minimum: 0
                      type: integer
                    max_per_tx:
                      default: 0
                      description: Max tokens per transaction (0 = unlimited)
                      maximum: 281474976710655
                      minimum: 0
                      type: integer
                    max_per_wallet:
                      default: 0
                      description: Max tokens per wallet (0 = unlimited)
                      maximum: 281474976710655
                      minimum: 0
                      type: integer
                    price_per_token:
                      default: '0'
                      description: Price per token in wei (0 = free mint)
                      pattern: ^\d{1,57}$
                      type: string
                    start_timestamp:
                      description: Unix timestamp (defaults to current time)
                      maximum: 281474976710655
                      minimum: 0
                      type: integer
                  type: object
                name:
                  maxLength: 255
                  minLength: 1
                  type: string
                network:
                  enum:
                    - base
                    - optimism
                    - base-sepolia
                  type: string
                royalty_bps:
                  default: 0
                  description: Royalty in basis points (500 = 5%, max 2500 = 25%)
                  maximum: 2500
                  minimum: 0
                  type: integer
                royalty_recipient:
                  description: Defaults to creator wallet
                  example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
                  pattern: ^0x[a-fA-F0-9]{40}$
                  type: string
                symbol:
                  maxLength: 32
                  minLength: 1
                  type: string
              required:
                - network
                - name
                - symbol
              type: object
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  collection:
                    properties:
                      address:
                        $ref: '#/components/schemas/EthAddress'
                      name:
                        type: string
                      network:
                        enum:
                          - base
                          - optimism
                          - base-sepolia
                        type: string
                      symbol:
                        type: string
                      transaction_hash:
                        pattern: ^0x[a-fA-F0-9]{64}$
                        type: string
                      type:
                        enum:
                          - ERC721
                        type: string
                    required:
                      - type
                      - network
                      - address
                      - name
                      - symbol
                      - transaction_hash
                    type: object
                  object:
                    enum:
                      - nft_collection
                    type: string
                required:
                  - object
                  - collection
                type: object
          description: '201'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Resource not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/deploy-erc721
components:
  parameters:
    WalletIdHeader:
      description: Wallet ID to use for transactions
      in: header
      name: x-wallet-id
      required: true
      schema:
        type: string
      x-is-global-header: true
  schemas:
    EthAddress:
      description: Ethereum address
      example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
      pattern: ^0x[a-fA-F0-9]{40}$
      title: EthAddress
      type: string
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````